Directory Traversal Affecting org.glassfish:javax.faces package, versions [,2.3.5)


0.0
high
  • Attack Complexity

    Low

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGGLASSFISH-32419

  • published

    19 Jul 2018

  • disclosed

    11 May 2018

  • credit

    Orange Tsai

How to fix?

Upgrade to version 2.3.5 or higher.

Overview

Eclipse Mojarra

Affected versions of this package are vulnerable to Directory Traversal via the getLocalePrefix function in the ResourceManager.java class. A remote attacker can download configuration files or Java bytecodes from applications.